#!/usr/bin/python
#
# Copyright (C) 2010, Canonical Ltd (http://www.canonical.com/)
#
# This file is part of utah.
#
# utah is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# utah is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with utah.  If not, see
# <http://www.gnu.org/licenses/>.
#

import logging
import unittest
import subprocess

logging.basicConfig(level=logging.INFO)


class RadosBenchTest(unittest.TestCase):
    def setUp(self):
        cmd = ["rados", "mkpool", "test-pool"]
        logging.debug("Cmd: %s" % (cmd))
        subprocess.call(cmd)

    def testRadosBench(self):
        cmd = ["rados", "-p", "test-pool", "bench", "60", "write"]
        logging.debug("Cmd: %s" % (cmd))
        self.assertTrue(subprocess.call(cmd) == 0,
                        "rados bench execution failed with non-zero"
                        " return code")

    def tearDown(self):
        cmd = ["rados", "rmpool", "test-pool"]
        logging.debug("Cmd: %s" % (cmd))
        subprocess.call(cmd)

if __name__ == '__main__':
    unittest.main()
