#!/usr/bin/python
#
# Copyright (C) 2010, Canonical Ltd (http://www.canonical.com/)
#
# This file is part of utah.
#
# utah is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# utah is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with utah.  If not, see
# <http://www.gnu.org/licenses/>.
#

import logging
import os.path
import os
import unittest
import subprocess
import json

logging.basicConfig(level=logging.INFO)


class RestBenchTest(unittest.TestCase):
    def testRestBench(self):
        with open(os.path.join('/tmp', 'radosgw.user'), 'r') as conf_fh:
            jconf = json.loads(conf_fh.read())
        cmd = ["s3", "-u", "create", "rest-bench-bucket"]
        logging.debug("Cmd: %s" % (cmd))
        os.environ['S3_ACCESS_KEY_ID'] = jconf['keys'][0]['access_key']
        os.environ['S3_SECRET_ACCESS_KEY'] = jconf['keys'][0]['secret_key']
        os.environ['S3_HOSTNAME'] = 'localhost'
        subprocess.call(cmd)
        cmd = ["rest-bench", "--access-key=%s" %
                             jconf['keys'][0]['access_key'],
               "--secret=%s" % jconf['keys'][0]['secret_key'],
               "--api-host=localhost", "write"]
        logging.debug("Cmd: %s" % (cmd))
        self.assertNotEqual(subprocess.call(cmd), 1,
                            "rest-bench execution failed with non-zero"
                            " return code")

if __name__ == '__main__':
    unittest.main()
