#!/usr/bin/python
#
# Copyright (C) 2012, Canonical Ltd (http://www.canonical.com/)
#
# This file is part of ubuntu-server-iso-testing.
#
# ubuntu-server-iso-testing is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# ubuntu-server-iso-testing is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with ubuntu-server-iso-testing.  If not, see
# <http://www.gnu.org/licenses/>.
#

import logging
import subprocess
import unittest

logging.basicConfig(level=logging.DEBUG)


class DnsServerTest(unittest.TestCase):
    def testOpenPorts(self):
        cmd = ["netstat", "-ltnp"]
        logging.debug("Cmd: %s" % (cmd))
        output = subprocess.Popen(cmd, stdout=subprocess.PIPE).communicate()[0]
        logging.debug("Cmd output: %s" % (output))

        logging.debug("Check if there are 5 instances of deamon running")
        output2 = filter(lambda l: l.split()[6].split('/')[1] == 'named',
                         output.strip().split('\n')[2:])
        self.assertEqual(len(output2), 5)

        logging.debug("Check if 3 instances of deamon are on port53")
        output53 = filter(lambda l: int(l.split()[3].split(':')[-1]) == 53,
                          output.strip().split('\n')[2:])
        self.assertEqual(len(output53), 3)

        logging.debug("Check if 2 instances rndc running on port953")
        output953 = filter(lambda l: int(l.split()[3].split(':')[-1]) == 953,
                           output.strip().split('\n')[2:])
        self.assertEqual(len(output953), 2)

if __name__ == '__main__':
    unittest.main()
