#!/usr/bin/python
#
# Copyright (C) 2010, Canonical Ltd (http://www.canonical.com/)
#
# This file is part of ubuntu-server-iso-testing.
#
# ubuntu-server-iso-testing is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# ubuntu-server-iso-testing is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with ubuntu-server-iso-testing.  If not, see
# <http://www.gnu.org/licenses/>.
#


import logging
import subprocess
import unittest
import platform

logging.basicConfig(level=logging.INFO)


class MinimalVirtualTest(unittest.TestCase):
    def testInstallSize(self):
        cmd = ["df", "/"]
        logging.debug("Cmd: %s" % (cmd))
        output = subprocess.Popen(cmd, stdout=subprocess.PIPE).communicate()[0]
        logging.debug("Cmd output: %s" % (output))
        lines = output.split("\n")
        self.assertEqual(len(lines), 3)

        used = int(lines[1].split()[2])
        # 700 minimal max install size + 150 test overlay
        max_install_size = 870400
        # Add overhead for multiarch package lists on amd64
        # +32MB roughly + more 36MB (to account the bloat started on 20140128)
        if platform.machine() == "x86_64":
            max_install_size += 69632
        self.assertTrue(used < max_install_size, "Used: %s" % (used))

if __name__ == '__main__':
    unittest.main()
