#!/usr/bin/python
#
# Copyright (C) 2010, Canonical Ltd (http://www.canonical.com/)
#
# This file is part of ubuntu-server-iso-testing.
#
# ubuntu-server-iso-testing is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# ubuntu-server-iso-testing is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with ubuntu-server-iso-testing.  If not, see
# <http://www.gnu.org/licenses/>.
#


import logging
import subprocess
import unittest

logging.basicConfig(level=logging.DEBUG)


class OpenSSHServerTest(unittest.TestCase):
    def testOpenPorts(self):
        cmd = ["netstat", "-ltnp"]
        logging.info("Cmd: %s" % (cmd))
        output = subprocess.Popen(cmd, stdout=subprocess.PIPE).communicate()[0]
        logging.info("Cmd output: %s" % (output))
        output2 = filter(lambda l: int(l.split()[3].split(':')[-1]) == 22,
                         output.strip().split('\n')[2:])
        self.assertEquals(len(output2), 2, output2)

if __name__ == '__main__':
    unittest.main()
