#!/usr/bin/python
#
# Copyright (C) 2012, Canonical Ltd (http://www.canonical.com/)
#
# This file is part of ubuntu-server-iso-testing.
#
# ubuntu-server-iso-testing is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# ubuntu-server-iso-testing is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with ubuntu-server-iso-testing.  If not, see
# <http://www.gnu.org/licenses/>.
#


import logging
import subprocess
import time
import unittest

logging.basicConfig(level=logging.INFO)


class PostgreSQLServerTest(unittest.TestCase):
    def testCreateDB(self):
        cmd = ["sudo", "-u", "postgres", "createuser", "-DRS", "utah"]
        logging.debug("Cmd: %s" % (cmd))
        subprocess.check_call(cmd)
        cmd = ["sudo", "-u", "postgres", "createdb", "-O", "utah", "utah_db"]
        logging.debug("Cmd: %s" % (cmd))
        subprocess.check_call(cmd)
        cmd = ["sudo", "-u", "utah", "psql", "-l"]
        logging.debug("Cmd: %s" % (cmd))
        output = subprocess.Popen(cmd, stdout=subprocess.PIPE).communicate()[0]
        logging.debug("Cmd output: %s" % (output))
        self.assertNotEqual(output, "")

if __name__ == '__main__':
    # wait for the postgresql server to come up
    i = 0
    while True:
        cmd = ["service", "postgresql", "status"]
        if subprocess.call(cmd, stdout=subprocess.PIPE) == 0:
            break
        if i == 20:
            raise Exception("Postgresql failed to start")
        else:
            time.sleep(1)
            i = i + 1
    unittest.main()
