#!/usr/bin/python
#
# Copyright (C) 2012, Canonical Ltd (http://www.canonical.com/)
#
# This file is part of ubuntu-server-iso-testing.
#
# ubuntu-server-iso-testing is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# ubuntu-server-iso-testing is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with ubuntu-server-iso-testing.  If not, see
# <http://www.gnu.org/licenses/>.
#


import logging
import subprocess
import unittest

logging.basicConfig(level=logging.DEBUG)


class RAID1Test(unittest.TestCase):
    def testCheckGrub(self):
        test_command = """
#!/bin/sh
apt-get install -y binutils
for i in $(mdadm -Q --detail $(df -P /boot | grep ^/dev/ | cut -d" " -f1) \\
            | grep " /dev/" | awk '{print $NF}' | sed -e 's/[0-9]$//')
do
    sudo dd if=$i bs=512 count=1 2>/dev/null | strings -a | grep -q GRUB \\
        && echo $i: ok || echo $i: FAIL
done
"""
        f = open("/tmp/check_grub", "w")
        f.write(test_command)
        f.close()
        cmd = ["sh", "/tmp/check_grub"]
        logging.debug("Cmd: %s" % (cmd))
        output = subprocess.Popen(cmd, stdout=subprocess.PIPE).communicate()[0]
        logging.debug("Cmd output: %s" % (output))
        self.assertTrue("FAILED" not in output,
                        "Grub not installed correctly:\n%s" % output)

if __name__ == "__main__":
    unittest.main()
