#!/usr/bin/python
#
# Copyright (C) 2010, Canonical Ltd (http://www.canonical.com/)
#
# This file is part of ubuntu-server-iso-testing.
#
# ubuntu-server-iso-testing is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# ubuntu-server-iso-testing is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with ubuntu-server-iso-testing.  If not, see
# <http://www.gnu.org/licenses/>.
#


import logging
import subprocess
import unittest
import time

logging.basicConfig(level=logging.INFO)


class TomcatServerTest(unittest.TestCase):
    def testTomcatDaemon(self):
        cmd = ["rngd", "-r", "/dev/urandom"]
        subprocess.call(cmd)

        time.sleep(60)

        cmd = ["netstat", "-ltnp"]
        logging.debug("Cmd: %s" % (cmd))
        output = subprocess.Popen(cmd, stdout=subprocess.PIPE).communicate()[0]
        logging.debug("Cmd output: %s" % (output))
        output2 = filter(lambda l: l.split()[6].split('/')[-1] == 'java',
                         output.strip().split('\n')[2:])
        # Two lines of output as tomcat listens on two ports
        self.assertEqual(len(output2), 2)

if __name__ == '__main__':
    unittest.main()
