#!/usr/bin/python
#
# Copyright (C) 2010, Canonical Ltd (http://www.canonical.com/)
#
# This file is part of ubuntu-server-iso-testing.
#
# ubuntu-server-iso-testing is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# ubuntu-server-iso-testing is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with ubuntu-server-iso-testing.  If not, see
# <http://www.gnu.org/licenses/>.
#


import logging
import unittest
import urllib2

logging.basicConfig(level=logging.INFO)


class TomcatServerTest(unittest.TestCase):
    def testTomcatJsp(self):
        local_host_test_url = ('http://localhost:8080'
                               '/examples/jsp/jsp2/simpletag/hello.jsp')

        try:
            fh = urllib2.urlopen(local_host_test_url)
        except urllib2.HTTPError, e:
            logging.error("Failed to open test page, '%s' error", e)
            self.fail("Failed to open to the test page")

        output = fh.read()

        logging.debug("Checking if \'Hello World!\' is in %s " % (output))
        self.assertTrue('Hello, world!' in output)
        fh.close()

if __name__ == '__main__':
    unittest.main()
